org.eclipse.ease.lang.unittest.definition

## Interface IDefinitionPackage.Literals

Enclosing interface:
  IDefinitionPackage

    public static interface IDefinitionPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

### Field Summary

Fields
`static org.eclipse.emf.ecore.EClass` `CODE` The meta object literal for the '`Code`' class.
`static org.eclipse.emf.ecore.EAttribute` `CODE__CONTENT` The meta object literal for the 'Content' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CODE__LOCATION` The meta object literal for the 'Location' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `FLAG` The meta object literal for the '`Flag`' enum.
`static org.eclipse.emf.ecore.EClass` `FLAG_TO_STRING_MAP` The meta object literal for the '`Flag To String Map`' class.
`static org.eclipse.emf.ecore.EAttribute` `FLAG_TO_STRING_MAP__KEY` The meta object literal for the 'Key' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `FLAG_TO_STRING_MAP__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EDataType` `PATH` The meta object literal for the 'Path' data type.
`static org.eclipse.emf.ecore.EClass` `TEST_SUITE_DEFINITION` The meta object literal for the '`Test Suite Definition`' class.
`static org.eclipse.emf.ecore.EOperation` `TEST_SUITE_DEFINITION___GET_CUSTOM_CODE__STRING` The meta object literal for the 'Get Custom Code' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_SUITE_DEFINITION___GET_VARIABLE__STRING` The meta object literal for the 'Get Variable' operation.
`static org.eclipse.emf.ecore.EReference` `TEST_SUITE_DEFINITION__CUSTOM_CODE` The meta object literal for the 'Custom Code' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_SUITE_DEFINITION__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_SUITE_DEFINITION__DISABLED_RESOURCES` The meta object literal for the 'Disabled Resources' attribute list feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_SUITE_DEFINITION__EXCLUDE_FILTER` The meta object literal for the 'Exclude Filter' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TEST_SUITE_DEFINITION__FLAGS` The meta object literal for the 'Flags' map feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_SUITE_DEFINITION__INCLUDE_FILTER` The meta object literal for the 'Include Filter' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_SUITE_DEFINITION__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_SUITE_DEFINITION__RESOURCE` The meta object literal for the 'Resource' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TEST_SUITE_DEFINITION__VARIABLES` The meta object literal for the 'Variables' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_SUITE_DEFINITION__VERSION` The meta object literal for the 'Version' attribute feature.
`static org.eclipse.emf.ecore.EClass` `VARIABLE` The meta object literal for the '`Variable`' class.
`static org.eclipse.emf.ecore.EOperation` `VARIABLE___GET_NAME` The meta object literal for the 'Get Name' operation.
`static org.eclipse.emf.ecore.EOperation` `VARIABLE___GET_PATH` The meta object literal for the 'Get Path' operation.
`static org.eclipse.emf.ecore.EAttribute` `VARIABLE__CONTENT` The meta object literal for the 'Content' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `VARIABLE__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `VARIABLE__ENUM_PROVIDER_ID` The meta object literal for the 'Enum Provider ID' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `VARIABLE__FULL_NAME` The meta object literal for the 'Full Name' attribute feature.

### Field Detail

#### TEST_SUITE_DEFINITION

    static final org.eclipse.emf.ecore.EClass TEST_SUITE_DEFINITION

The meta object literal for the '`Test Suite Definition`' class.

See Also:
  `TestSuiteDefinition`, `DefinitionPackage.getTestSuiteDefinition()`

#### TEST_SUITE_DEFINITION__NAME

    static final org.eclipse.emf.ecore.EAttribute TEST_SUITE_DEFINITION__NAME

The meta object literal for the 'Name' attribute feature.

#### TEST_SUITE_DEFINITION__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute TEST_SUITE_DEFINITION__DESCRIPTION

The meta object literal for the 'Description' attribute feature.

#### TEST_SUITE_DEFINITION__INCLUDE_FILTER

    static final org.eclipse.emf.ecore.EAttribute TEST_SUITE_DEFINITION__INCLUDE_FILTER

The meta object literal for the 'Include Filter' attribute feature.

#### TEST_SUITE_DEFINITION__EXCLUDE_FILTER

    static final org.eclipse.emf.ecore.EAttribute TEST_SUITE_DEFINITION__EXCLUDE_FILTER

The meta object literal for the 'Exclude Filter' attribute feature.

#### TEST_SUITE_DEFINITION__DISABLED_RESOURCES

    static final org.eclipse.emf.ecore.EAttribute TEST_SUITE_DEFINITION__DISABLED_RESOURCES

The meta object literal for the 'Disabled Resources' attribute list feature.

#### TEST_SUITE_DEFINITION__VARIABLES

    static final org.eclipse.emf.ecore.EReference TEST_SUITE_DEFINITION__VARIABLES

The meta object literal for the 'Variables' containment reference list feature.

#### TEST_SUITE_DEFINITION__CUSTOM_CODE

    static final org.eclipse.emf.ecore.EReference TEST_SUITE_DEFINITION__CUSTOM_CODE

The meta object literal for the 'Custom Code' containment reference list feature.

#### TEST_SUITE_DEFINITION__FLAGS

    static final org.eclipse.emf.ecore.EReference TEST_SUITE_DEFINITION__FLAGS

The meta object literal for the 'Flags' map feature.

#### TEST_SUITE_DEFINITION__VERSION

    static final org.eclipse.emf.ecore.EAttribute TEST_SUITE_DEFINITION__VERSION

The meta object literal for the 'Version' attribute feature.

#### TEST_SUITE_DEFINITION__RESOURCE

    static final org.eclipse.emf.ecore.EAttribute TEST_SUITE_DEFINITION__RESOURCE

The meta object literal for the 'Resource' attribute feature.

#### TEST_SUITE_DEFINITION___GET_CUSTOM_CODE__STRING

    static final org.eclipse.emf.ecore.EOperation TEST_SUITE_DEFINITION___GET_CUSTOM_CODE__STRING

The meta object literal for the 'Get Custom Code' operation.

#### TEST_SUITE_DEFINITION___GET_VARIABLE__STRING

    static final org.eclipse.emf.ecore.EOperation TEST_SUITE_DEFINITION___GET_VARIABLE__STRING

The meta object literal for the 'Get Variable' operation.

#### VARIABLE

    static final org.eclipse.emf.ecore.EClass VARIABLE

The meta object literal for the '`Variable`' class.

See Also:
  `Variable`, `DefinitionPackage.getVariable()`

#### VARIABLE__FULL_NAME

    static final org.eclipse.emf.ecore.EAttribute VARIABLE__FULL_NAME

The meta object literal for the 'Full Name' attribute feature.

#### VARIABLE__CONTENT

    static final org.eclipse.emf.ecore.EAttribute VARIABLE__CONTENT

The meta object literal for the 'Content' attribute feature.

#### VARIABLE__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute VARIABLE__DESCRIPTION

The meta object literal for the 'Description' attribute feature.

#### VARIABLE__ENUM_PROVIDER_ID

    static final org.eclipse.emf.ecore.EAttribute VARIABLE__ENUM_PROVIDER_ID

The meta object literal for the 'Enum Provider ID' attribute feature.

#### VARIABLE___GET_NAME

    static final org.eclipse.emf.ecore.EOperation VARIABLE___GET_NAME

The meta object literal for the 'Get Name' operation.

#### VARIABLE___GET_PATH

    static final org.eclipse.emf.ecore.EOperation VARIABLE___GET_PATH

The meta object literal for the 'Get Path' operation.

#### FLAG_TO_STRING_MAP

    static final org.eclipse.emf.ecore.EClass FLAG_TO_STRING_MAP

The meta object literal for the '`Flag To String Map`' class.

See Also:
  `FlagToStringMap`, `DefinitionPackage.getFlagToStringMap()`

#### FLAG_TO_STRING_MAP__KEY

    static final org.eclipse.emf.ecore.EAttribute FLAG_TO_STRING_MAP__KEY

The meta object literal for the 'Key' attribute feature.

#### FLAG_TO_STRING_MAP__VALUE

    static final org.eclipse.emf.ecore.EAttribute FLAG_TO_STRING_MAP__VALUE

The meta object literal for the 'Value' attribute feature.

#### CODE

    static final org.eclipse.emf.ecore.EClass CODE

The meta object literal for the '`Code`' class.

See Also:
  `Code`, `DefinitionPackage.getCode()`

#### CODE__LOCATION

    static final org.eclipse.emf.ecore.EAttribute CODE__LOCATION

The meta object literal for the 'Location' attribute feature.

#### CODE__CONTENT

    static final org.eclipse.emf.ecore.EAttribute CODE__CONTENT

The meta object literal for the 'Content' attribute feature.

#### FLAG

    static final org.eclipse.emf.ecore.EEnum FLAG

The meta object literal for the '`Flag`' enum.

See Also:
  `Flag`, `DefinitionPackage.getFlag()`

#### PATH

    static final org.eclipse.emf.ecore.EDataType PATH

The meta object literal for the 'Path' data type.

See Also:
  `IPath`, `DefinitionPackage.getPath()`